Domains
Get domain by ID
Get detailed information about a specific domain including DNS records. Use ?check=true for a live verification check.
GET
/
api
/
e2
/
domains
/
{id}
TypeScript
import Inbound from "inboundemail";
const inbound = new Inbound();
const result = await inbound.domains.retrieve("<domainId>");curl -X GET 'https://inbound.new/api/e2/domains/<domainId>' \
-H "Authorization: Bearer $INBOUND_API_KEY"import requests
url = "https://inbound.new/api/e2/domains/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inbound.new/api/e2/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inbound.new/api/e2/domains/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://inbound.new/api/e2/domains/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://inbound.new/api/e2/domains/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://inbound.new/api/e2/domains/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"domain": "<string>",
"status": "<string>",
"canReceiveEmails": true,
"hasMxRecords": true,
"domainProvider": "<string>",
"providerConfidence": "<string>",
"lastDnsCheck": "2023-11-07T05:31:56Z",
"lastSesCheck": "2023-11-07T05:31:56Z",
"isCatchAllEnabled": true,
"catchAllEndpointId": "<string>",
"includeSubdomains": true,
"subdomainDnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"description": "<string>"
}
],
"mailFromDomain": "<string>",
"mailFromDomainStatus": "<string>",
"mailFromDomainVerifiedAt": "2023-11-07T05:31:56Z",
"receiveDmarcEmails": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"stats": {
"totalEmailAddresses": 123,
"activeEmailAddresses": 123,
"emailsLast24h": 123,
"emailsLast7d": 123,
"emailsLast30d": 123
},
"dnsRecords": [
{
"id": "<string>",
"domainId": "<string>",
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"isVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"catchAllEndpoint": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"isActive": true
},
"verificationCheck": {
"dnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isVerified": true,
"error": "<string>"
}
],
"sesStatus": "<string>",
"isFullyVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"dkimStatus": "<string>",
"dkimVerified": true,
"dkimTokens": [
"<string>"
],
"mailFromDomain": "<string>",
"mailFromStatus": "<string>",
"mailFromVerified": true
},
"authRecommendations": {
"spf": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
},
"dmarc": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
}
},
"inheritsFromParent": true,
"parentDomain": "<string>",
"kind": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Response
Response for status 200
Was this page helpful?
⌘I
TypeScript
import Inbound from "inboundemail";
const inbound = new Inbound();
const result = await inbound.domains.retrieve("<domainId>");curl -X GET 'https://inbound.new/api/e2/domains/<domainId>' \
-H "Authorization: Bearer $INBOUND_API_KEY"import requests
url = "https://inbound.new/api/e2/domains/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inbound.new/api/e2/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inbound.new/api/e2/domains/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://inbound.new/api/e2/domains/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://inbound.new/api/e2/domains/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://inbound.new/api/e2/domains/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"domain": "<string>",
"status": "<string>",
"canReceiveEmails": true,
"hasMxRecords": true,
"domainProvider": "<string>",
"providerConfidence": "<string>",
"lastDnsCheck": "2023-11-07T05:31:56Z",
"lastSesCheck": "2023-11-07T05:31:56Z",
"isCatchAllEnabled": true,
"catchAllEndpointId": "<string>",
"includeSubdomains": true,
"subdomainDnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"description": "<string>"
}
],
"mailFromDomain": "<string>",
"mailFromDomainStatus": "<string>",
"mailFromDomainVerifiedAt": "2023-11-07T05:31:56Z",
"receiveDmarcEmails": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"stats": {
"totalEmailAddresses": 123,
"activeEmailAddresses": 123,
"emailsLast24h": 123,
"emailsLast7d": 123,
"emailsLast30d": 123
},
"dnsRecords": [
{
"id": "<string>",
"domainId": "<string>",
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"isVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"catchAllEndpoint": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"isActive": true
},
"verificationCheck": {
"dnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isVerified": true,
"error": "<string>"
}
],
"sesStatus": "<string>",
"isFullyVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"dkimStatus": "<string>",
"dkimVerified": true,
"dkimTokens": [
"<string>"
],
"mailFromDomain": "<string>",
"mailFromStatus": "<string>",
"mailFromVerified": true
},
"authRecommendations": {
"spf": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
},
"dmarc": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
}
},
"inheritsFromParent": true,
"parentDomain": "<string>",
"kind": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}